/**
 * @license GPL-2.0-or-later
 */
<script>
import HeaderElement from "./basicComponents/HeaderElement.vue";
import FooterElement from "./basicComponents/FooterElement.vue";

export default {
  name: "App",
  components: {
    HeaderElement,
    FooterElement
  },
  data () {
    return {
      isMobile: false
    };
  },
  created () {
    const html = document.documentElement;
    // eslint-disable-next-line
    html.setAttribute("lang", process.env.VUE_APP_LANG);
  },
  mounted () {
    this.isMobile = ["xs", "sm"].indexOf(this.activeMediaBreakpoint) > -1;
  }
};
</script>

<template>
  <div
    class="participationcockpit"
    :class="'wrapper-' + activeMediaBreakpoint"
  >
    <HeaderElement />

    <main>
      <router-view :key="$route.fullPath" />
    </main>

    <FooterElement v-if="!isMobile" />
  </div>
</template>

<style lang="scss">
@import "@/scss/_global.scss";

div.participationcockpit {
  height: 100vh;
  display: flex;
  flex-direction: column;
  overflow: hidden;

  main {
    background-color: $color_secondary_5;
    padding: 18px 21px 0;
    flex: 1;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
    overflow-y: auto;

    > .row {
      margin-left: 0;
      margin-right: 0;
    }
  }
}

*:focus:not(:focus-visible) {
  outline: none;
}
*:focus-visible {
  outline: 3px solid #005CA9;
}
</style>
